import 'package:json_annotation/json_annotation.dart';

import '../../bean/payment_way.dart';
import '../../bean/store_item.dart';

part 'store_index_response.g.dart';

@JsonSerializable()
class StoreIndexResponse {
  @JsonKey(name: 'list')
  List<StoreItem> items = [];

  @JsonKey(name: "payOptions")
  List<PaymentWay> paymentWays = [];

  StoreIndexResponse(this.items, this.paymentWays);

  factory StoreIndexResponse.fromJson(Map<String, dynamic> json) =>
      _$StoreIndexResponseFromJson(json);
}
